<template>
	<div class="copyright">
		<div class="copyright-name">
			{{copyrightName}}
		</div>
		<div class="copyright-count" @click="goNav()">
			{{copyrightCount}}
		</div>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				copyrightName: '',
				copyrightCount: ''
			}
		},
		mounted() {
			this.getCopyrightName()
			this.getCopyrightCount()
		},
		methods: {
			//打开备案官网
			goNav() {
				window.open('https://beian.miit.gov.cn/')
			},
			//获取版权信息
			getCopyrightName() {
				this.$Request.get('/app/common/type/426').then(res => {
					if (res.code == 0) {
						this.copyrightName = res.data.value
					}
				})
			},
			//获取备案号
			getCopyrightCount() {
				this.$Request.get('/app/common/type/425').then(res => {
					if (res.code == 0) {
						this.copyrightCount = res.data.value
					}
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.copyright {
		width: 100%;
		height: auto;
		background-color: #000000;
		color: #909090;
		font-size: 12px;
		padding: 30px 0;
		margin-top: 20px;

		.copyright-name {
			text-align: center;
			cursor: pointer;
		}

		.copyright-count:hover {
			color: #00DD9A;
		}

		.copyright-count {
			text-align: center;
			margin-top: 10px;
			cursor: pointer;

		}
	}
</style>